curl -X POST https://api2.ecomailapp.cz/lists \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "New list name",
"from_name": "Ecomailapp.cz",
"from_email": "test@ecomailapp.cz",
"reply_to": "support@ecomail.cz"
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/lists');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'name' => 'New list name',
'from_name' => 'Ecomailapp.cz',
'from_email' => 'test@ecomailapp.cz',
'reply_to' => 'support@ecomail.cz',
]));
$response = curl_exec($ch);
curl_close($ch);
{
"name": "New list name",
"id": 2
}
Lists
Add new list
Create a new subscriber list in your account.
POST
/
lists
curl -X POST https://api2.ecomailapp.cz/lists \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "New list name",
"from_name": "Ecomailapp.cz",
"from_email": "test@ecomailapp.cz",
"reply_to": "support@ecomail.cz"
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/lists');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'name' => 'New list name',
'from_name' => 'Ecomailapp.cz',
'from_email' => 'test@ecomailapp.cz',
'reply_to' => 'support@ecomail.cz',
]));
$response = curl_exec($ch);
curl_close($ch);
{
"name": "New list name",
"id": 2
}
string
required
List name.
string
Sender name used in emails sent from this list.
string
Sender email address used in emails sent from this list.
string
Reply-to email address.
string
URL to redirect to after submitting a sign-up form.
string
URL to redirect to after confirming a sign-up email.
string
URL to redirect to after unsubscribing from the list.
boolean
Whether sign-up confirmation (double opt-in) is required.
string
Subject line of the confirmation email.
string
HTML content of the confirmation email.
curl -X POST https://api2.ecomailapp.cz/lists \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "New list name",
"from_name": "Ecomailapp.cz",
"from_email": "test@ecomailapp.cz",
"reply_to": "support@ecomail.cz"
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/lists');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'name' => 'New list name',
'from_name' => 'Ecomailapp.cz',
'from_email' => 'test@ecomailapp.cz',
'reply_to' => 'support@ecomail.cz',
]));
$response = curl_exec($ch);
curl_close($ch);
{
"name": "New list name",
"id": 2
}